Create a Token - CardAsk AIpost https://testapi.payarc.net/v1/tokensThis API creates a token that represents a credit or debit card used to carry out a transaction.Body Paramscard_sourcestringenumrequiredDefaults to INTERNETThis field indicates how the card data was captured at the point of sale.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatAllowed ValuesExamplesNotesAlphabeticMANUAL PHONE MAIL INTERNET9 would be $0.09; 99999999 would be $999,999.99PAYARC processes the transaction as 'card not present' if the field value is PHONE, MAIL, or INTERNET. For any other type of transaction, PAYARC processes the transaction as 'card present'.MANUALPHONEMAILINTERNETAllowed:MANUALPHONEMAILINTERNETcard_numberint32requiredThe 14-19 digit card number used for the transaction.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthAllowed ValuesExamplesNumeric14 digits19 digitsusdVISA: 4012000098765439MASTERCARD: 5146315000000055AMEX: 371449635392376DISCOVER: 6011000993026909DISCOVER CUP: 6282000123842342DINERS: 3055155515160018JCB: 3530142019945859exp_monthstringrequiredThe month value displayed on the card used for the transaction.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesNumeric11201 represents the month of January.exp_yearstringrequiredThe YYYY value mentioned on the card used for the transaction.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesNumeric2 digits4 digits2025cvvstringrequiredThe three or four-digit security code on the card.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthNotesNumeric3 digits4 digitsThis field can be set as 'Required' or 'Optional' at the account level by a PAYARC Admin. Email [email protected] to contact the Admin. If this field is set as 'Required' and is not sent or is incorrect, the transaction may be declined based on the risk parameters set. If this field is set as 'Optional' and is not sent or is incorrect, the transaction will be processed as CVV availability not provided.card_holder_namestringName of the cardholder as mentioned on the card used to carry out the transaction.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesAlphabetic and Whitespace1 character30 caractersJohn Smithaddress_line1stringThe cardholder's billing address for line 1.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesNotesAlphanumeric1 character200 characters103 Mason StreetThis field will be 'Required' if address information is requested by the merchant. Payfac Max Length: 30 charactersaddress_line2stringThe cardholder's billing address for line 2.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesNotesAlphanumeric1 character200 characters2nd FloorNote: Payfac Max Length: 30 characterscitystringThe cardholder's state name. Can be State/County/Province/Region.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesNotesAlphabetic and Whitespace1 character50 charactersNey YorkThis field will be 'Required' if address information is requested by the merchant.statestringThe cardholder's state name. Can be State/County/Province/Region.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesNotesAlphabetic and Whitespace1 character50 charactersNYThis field will be 'Required' if address information is requested by the merchant.zipint32The cardholder's billing ZIP code.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesNotesNumeric2 digits10 digits10469This field will be 'Required' if address information is requested by the merchant.countrystringThe cardholder's country name.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatMin LengthMax LengthExamplesNotesAlphabetic1 character50 charactersUSThis field will be 'Required' if address information is requested by the merchant.authorize_cardint32This field helps check card validity.td { padding: 2px 4px; border: 1px solid #ddd; font-size: 0.65em; line-height: 1.2; }FormatDefaultNotesBoolean00 will not authorize the card while creating a Token. 1 will authorize the customer's card for $0.00, which may result in additional fees. Failure to authorize the card may result in failed subscriptions.HeadersAcceptstringrequiredDefaults to application/jsonIndicates which content types, expressed as MIME types, the client is able to understand.Content-TypestringrequiredDefaults to application/jsonIndicates the media type of the resource sent in the HTTP message body. Possible Values: application/jsonapplication/x-www-form-urlencodedResponses 201201 409409Updated 7 months ago